# $Id: FindLog.pm,v 1.4 2007-07-23 12:11:44 th Exp $

package TransLog::FindLog;

use warnings;
use strict;
require Digest::MD5;

# use CVS/RCS Revision tag to set up the package version
our $VERSION = do { my @r = (q$Revision: 1.4 $ =~ /\d+/g); sprintf "%d."."%02d" x $#r, @r };

##
# @return a new base object
sub new {
    my ($class) = @_;
    my $self = {};

    bless ($self,$class);
    return $self;
}

# 
# @return an Array containing all known Server Logs including
#         duplicates
sub getAllServerLogs {
    my ($self) = @_;
    my $glob = '/prj/gewerbe/active/*/SERV/*/Log';
    my @logs = glob($glob);
    return @logs;
}

# 
# @return an Array containing all known VServer Logs including
#         duplicates
sub getAllVServerLogs {
    my ($self) = @_;
    my $glob = '/prj/gewerbe/active/*/VSERV/*/Log';
    my @logs = glob($glob);
    return @logs;
}

# 
# @return an Array containing all known Router Logs including
#         duplicates
sub getAllRouterLogs {
    my ($self) = @_;
    my $glob = "/prj/gewerbe/active/*/ROUTER/*/Log";
    my @logs = glob($glob);
    return @logs;
}

sub _removeDupsFromAr {
    my ($self, @ar) = @_;
    my %withoutDups = ();

    my $count = 0;
    foreach my $log (@ar){
      open(FILE, $log) or die "Can't open '$log': $!";
      binmode(FILE);
      my $md5 = Digest::MD5->new->addfile(*FILE)->hexdigest;
      close(FILE);
      # remove duplicates by using the md5 value as access key
      $withoutDups{$md5} = $log;
      $count++;
    }
    #print "added $count entires to hash\n";
  return values(%withoutDups);
}

# @return an Array containg all known Server Log without
#         duplicates
sub getAllServerAndVServerLogsWithoutDups {
    my ($self) = @_;
    my @ar = ();
    push(@ar,getAllServerLogs());
    push(@ar,getAllVServerLogs());
    return _removeDupsFromAr(@ar);
}

sub getAllRouterLogsWithoutDups {
    my ($self) = @_;
    my @ar = getAllRouterLogs();
    return _removeDupsFromAr(@ar);
}

1;

# vim: ai et ts=2 shiftwidth=2

