# $Id: base.pm,v 1.2 2006-12-27 14:52:24 th Exp $

package TransLog::base;

use warnings;
use strict;
use TransLog::config;

# use CVS/RCS Revision tag to set up the package version
our $VERSION = do { my @r = (q$Revision: 1.2 $ =~ /\d+/g); sprintf "%d."."%02d" x $#r, @r };

##
# @return a new base object
sub new {
    my ($class) = @_;
    my $self = {};

    bless ($self,$class);
    return $self;
}

sub writeArrayToFile {
  my ($file, @ar) = @_;
  open(FILE, ">$file") or die("Can't open '$file': $!");
  foreach my $name (sort(@ar)){
    print FILE $name . "\n";
    #print ".";
  }
  close FILE;
}

sub dprint{
    my ($self, $out) = @_;
    print "debug: ".$out if $TransLog::config::debug > 0;
}


1;

# vim: ai et ts=2 shiftwidth=2

