<?xml version="1.0" encoding="iso-8859-1" standalone="yes" ?>
<!-- 
 $Id: bacula-fd.xsl,v 1.2 2011-04-14 15:16:28 th Exp $  

 XSL template to convert xml input valid against backup.dtd into a
 bacula file daemon config file aka bacula-fd.conf.

-->
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  
  <xsl:output method="text" 
    encoding="iso-8859-1"
    omit-xml-declaration="yes"
    indent="no" 
    />

  <xsl:template match="/server">
# bacula file daemon configuration file
# host: <xsl:value-of select="hostname"/>
# xsl transformed, DON'T EDIT THIS FILE!
# source: <xsl:value-of select="logsource" />
# source modification time: <xsl:value-of select="modified-rfc822" />

# List Directors who are permitted to contact this File daemon
Director {
  Name = <xsl:call-template name="getDirectorName" />
  Password = "<xsl:value-of select="backup/password"/>"
}

# "Global" File daemon configuration specifications
FileDaemon {                          # this is me
  Name = <xsl:call-template name="getFDName" />
<xsl:call-template name="getFDPort" />
<xsl:call-template name="getFDAddress" />
  WorkingDirectory = /var/lib/bacula
<xsl:call-template name="getPidDirectory" />
  Heartbeat Interval = 15min
}

# Send all messages except skipped files back to Director
Messages {
  Name = Standard
  director = <xsl:call-template name="getDirectorName" /> = all, !skipped
}

# end of xsl transformed content
</xsl:template>

<!-- begin template definitions -->

  <xsl:template match="hostname">
    <!-- convert hostname to lower case -->
    <xsl:value-of 
      select="translate(., 'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')" />
  </xsl:template>

  <xsl:template name="getDirectorName">
    <xsl:choose>
      <xsl:when test="contains('loglf',backup/type)">backup3.lf.net-dir</xsl:when>
      <xsl:when test="contains('bkplf',backup/type)">backup.lf.net-dir</xsl:when>
      <xsl:otherwise>Error</xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="getFDName">
    <xsl:apply-templates select="hostname" />-fd</xsl:template>

  <xsl:template name="getFDPort">
    <!-- optional parameter FDPort -->
    <xsl:choose>
      <xsl:when test="count(backup/client/port)=1">
  FDPort = <xsl:value-of select="backup/client/port"/></xsl:when>
      <xsl:otherwise>
  FDPort = 9102</xsl:otherwise>
      </xsl:choose>
  </xsl:template>

  <xsl:template name="getFDAddress">
    <!-- optional parameter FDAddress -->
<xsl:choose>
  <xsl:when test="count(backup/client/ip)=1">
  FDAddress = <xsl:value-of select="backup/client/ip"/></xsl:when>
  <xsl:otherwise></xsl:otherwise>
</xsl:choose>
  </xsl:template>

  <xsl:template name="getPidDirectory">
<xsl:choose>
  <xsl:when test="contains(betriebssystemname,'Debian')">  Pid Directory = /var/run/bacula</xsl:when>
  <xsl:when test="contains(betriebssystemname,'Ubuntu')">  Pid Directory = /var/run/bacula</xsl:when>
  <xsl:otherwise>  Pid Directory = /var/run</xsl:otherwise>
</xsl:choose>
  </xsl:template>

</xsl:stylesheet>
