<?xml version="1.0" encoding="iso-8859-1" standalone="yes" ?>
<!-- 
 $Id: bacula-include.xsl,v 1.1 2009-11-24 15:26:43 fe Exp $  

 XSL template to convert xml input valid against backup.dtd into a
 bacula storage daemon include file aka bacula-sd.conf.

-->
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="text" 
    encoding="iso-8859-1"
    omit-xml-declaration="yes"
    indent="no" 
    />

  <xsl:template match="/server">
# include file to be included into bacula-dir.conf
# host: <xsl:value-of select="hostname"/>
# xsl transformed, DON'T EDIT THIS FILE!
# source: <xsl:value-of select="logsource" />
# source modification time: <xsl:value-of select="modified-rfc822" />

Client {
  Name = <xsl:call-template name="getFDName" />
  Address = <xsl:apply-templates select="hostname" />
<xsl:call-template name="getFDPort" />
<xsl:call-template name="getFDAddress" />
  Catalog = MySQL
  Password = "<xsl:value-of select="backup/password"/>"
  AutoPrune = yes
}

Job {
  Name = "<xsl:apply-templates select="hostname" />"
  JobDefs = <xsl:call-template name="getJobDefs" />
  Client = <xsl:call-template name="getFDName" />
  FileSet = "<xsl:call-template name="getFileSet" />"
  Write Bootstrap = "/var/bacula/bsr/<xsl:apply-templates select="hostname" />.bsr"
  Schedule = "MonthlyCycle-FullOn1st"
}

# end of xsl transformed content
</xsl:template>

<!-- begin template definitions -->

  <xsl:template match="hostname">
    <!-- convert hostname to lower case -->
    <xsl:value-of select="translate(., 'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')" />
  </xsl:template>

  <xsl:template name="getJobDefs">
    <xsl:choose>
      <xsl:when test="contains('loglf',backup/type)">OfficeBackup</xsl:when>
      <xsl:when test="contains('bkplf',backup/type)">RZBackup</xsl:when>
      <xsl:otherwise>Error</xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="getFDName">
    <xsl:apply-templates select="hostname" />-fd</xsl:template>

  <xsl:template name="getFDPort">
    <!-- optional parameter FDPort -->
<xsl:choose>
  <xsl:when test="count(backup/client/port)=1">
  FDPort = <xsl:value-of select="backup/client/port"/></xsl:when>
  <xsl:otherwise>
  FDPort = 9102</xsl:otherwise>
</xsl:choose>
  </xsl:template>

  <xsl:template name="getFDAddress">
    <!-- optional parameter FDAddress -->
<xsl:choose>
  <xsl:when test="count(backup/client/ip)=1">
  FDAddress = <xsl:value-of select="backup/client/ip"/></xsl:when>
  <xsl:otherwise></xsl:otherwise>
</xsl:choose>
  </xsl:template>

  <xsl:template name="getFileSet">
<!-- define FileSet ressource -->
<xsl:choose>
  <xsl:when test="count(backup/fileset)=1"><xsl:value-of select="backup/fileset" /></xsl:when>
  <xsl:otherwise>Standard-Fileset20121026</xsl:otherwise>
</xsl:choose>    
  </xsl:template>

</xsl:stylesheet>
